apiVersion: admissionregistration.k8s.io/v1
kind: MutatingWebhookConfiguration
metadata:
  name: kubedoor-admis-configuration
webhooks:
  - name: kubedoor-admis.mutating.webhook
    clientConfig:
      service:
        namespace: kubedoor
        name: kubedoor-agent
        path: /api/admis
        port: 443
      caBundle: >-
        LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1JSURJVENDQWdtZ0F3SUJBZ0lKQUk1T3cvQnRxSEJpTUEwR0NTcUdTSWIzRFFFQkN3VUFNQ1l4SkRBaUJnTlYKQkFNTUcydDFZbVZrYjI5eUxXRm5aVzUwTG10MVltVmtiMjl5TG5OMll6QWdGdzB5TlRBek1UQXdNekkwTXpsYQpHQTh5TVRJMU1ESXhOREF6TWpRek9Wb3dKakVrTUNJR0ExVUVBd3diYTNWaVpXUnZiM0l0WVdkbGJuUXVhM1ZpClpXUnZiM0l1YzNaak1JSUJJakFOQmdrcWhraUc5dzBCQVFFRkFBT0NBUThBTUlJQkNnS0NBUUVBdmNzcWdCb3YKZFpqcGxXN1RTOHFpSnFoTFZuNXZ4VTdrWjdiQkUrVmdDNDYyUHJKblRGTjlDOC90bXIrSE43UUppYnBsVkEwQQp6MUZNalFjdk8zR2NieWJvMXo2b0thSm11MUlnZGxrMWNzYThJMlF3Ny9PZHQzZS9McG9oeGJpa0lkS3M3Nmd4CnI1WkRpRlYxVTllUzEzZmlWZE0zLzhjdjBqKzh6aEZyRndRaUp5ZTRZbWFOZFBTRlAxbVJuNWJ6MG8zTmUvU1oKcDB4dm1NY0xVMUFjOHNqUW1PRExoMTVYRjQ1dWU5LzQ2NzZCWjRQSTFZMWZnWHZHdzRDTFBaZzlEOCtjcndXVwo1bWhZV2U3TVVkeDF1cW5uMEtjRjc3dEI3WXIvOEczT2k3SlNaZitoYitQWVJYeDBVakU3OEUwOXNXc0VlY0tFCjVUNVU4K2MyOUZlSlR3SURBUUFCbzFBd1RqQWRCZ05WSFE0RUZnUVUvb09GYTFoYWFMQ3Q2dHNHT0FwK1E1M1QKRm5rd0h3WURWUjBqQkJnd0ZvQVUvb09GYTFoYWFMQ3Q2dHNHT0FwK1E1M1RGbmt3REFZRFZSMFRCQVV3QXdFQgovekFOQmdrcWhraUc5dzBCQVFzRkFBT0NBUUVBSUxrTG94MGo5M1I5U25ncVlSbmxFUW43NHVHTFNiQno1NC93Ckk3SVVaeHV0S1lzYkNXdFRTcGsvSXFadVlvQWY0WTY0MTFZRUxKMmNyZTN0VTlvWmxEbXFMWlJYK0laUXVLakkKZWJ0Qy9vUUMvYmpmZ1BRRTlxN2hHMGtJY2g0eEUveFdXMk0vekYwd2hOQ3hrbjVUVmNPVE44U205d2ZPM1hZcgpZam9YT0ZPMnRVZjBRYStJdjB1cWJScGZ5U1BTc0RYMVR6QWZQM3d4R2JyQnArcTRQMFk4L0hDaTljVlFYRmJLCmZPR2lRRi9kYnh0Z2VtbWROL3J3ZGxsVmhKUEszZEZEeWJnTlhZSzdTV0ZrVklEdXI5Wm0xamFJc1liNEJ2bjAKVk5mNFp5UzZRRThJUk8xTlEza2ZYZDZOazNTOHc2ejJpUUw3emJzN1ZxTkpxclQxeVE9PQotLS0tLUVORCBDRVJUSUZJQ0FURS0tLS0tCg==
    rules:
      - operations:
          - CREATE
          - UPDATE
        apiGroups:
          - apps
        apiVersions:
          - v1
        resources:
          - deployments
          - deployments/scale
        scope: '*'
    failurePolicy: Fail
    matchPolicy: Equivalent
    namespaceSelector:
      matchExpressions:
        - key: kubedoor-ignore
          operator: DoesNotExist
    objectSelector: {}
    sideEffects: None
    timeoutSeconds: 10
    admissionReviewVersions:
      - v1
    reinvocationPolicy: Never

